FROM python:3

RUN apt-get update
RUN apt-get install -y git-core npm

RUN git clone https://github.com/jaywink/socialhome.git
WORKDIR /socialhome

RUN bash install_ubuntu_dependencies.sh install

RUN pip install -U pip setuptools pip-tools
RUN pip-sync dev-requirements.txt

RUN npm install
RUN cd socialhome/frontend && npm install && cd -
RUN npm install -g bower && bower install --allow-root
RUN npm run build

COPY .env /socialhome/.env
COPY start.sh /start.sh
RUN touch /socialhome/socialhome.log

CMD [ "/bin/bash", "/start.sh" ]
